> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Booking requests will be sent to the booking system when a customer has purchased the product through the
Website Travel platform.

> Each booking request will be for a single date only.  If multiple dates are booked as part of the same order,
one request will be made per date booked, and each request will have the same voucherNumber.



## OpenAPI

````yaml /openapi/ebs-supplier-api.json post /cms/ebs/booking/{productIdentifier}
openapi: 3.0.0
info:
  title: EBS Supplier API
  version: 0.0.0
  description: >-
    Supplier-side EBS integration endpoints for authentication, availability,
    booking, and cancellations.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Authentication / Authorisation
    description: Authentication / Authorisation
  - name: Booking Parameters
    description: Booking Parameters
  - name: Availability
    description: Availability
  - name: Booking
    description: Booking
  - name: Bookings
    description: Bookings
  - name: Product Bookings
    description: Product Bookings
  - name: Booking Cancellation
    description: Booking Cancellation
paths:
  /cms/ebs/booking/{productIdentifier}:
    post:
      tags:
        - Version 1
        - Booking
      summary: >-
        Booking requests will be sent to the booking system when a customer has
        purchased the product through the

        Website Travel platform.
      description: >-
        Each booking request will be for a single date only.  If multiple dates
        are booked as part of the same order,

        one request will be made per date booked, and each request will have the
        same voucherNumber.
      operationId: post_cms_core_ebs_makebooking
      parameters:
        - name: productIdentifier
          in: path
          description: >-
            Identifier for the fare/product being booked on the external booking
            system
          required: true
          schema:
            type: string
      requestBody:
        description: Booking Request Parameters
        required: true
        content:
          application/json:
            schema:
              description: Booking Request Parameters
              properties:
                voucherNumber:
                  description: Website Travel voucher number for this booking
                  type: string
                orderReference:
                  description: >-
                    Website Travel reference for the order which contains the
                    booking/voucher
                  type: string
                quantity:
                  description: The quantity of product being booked for this date
                  type: integer
                bookingDate:
                  description: Date of booking in YYYY-MM-DD format
                  type: string
                bookingTimeId:
                  description: Identifier of booking time to make booking for
                  type: string
                pickupLocationId:
                  description: Identifier of pickup location to make booking for
                  type: string
                additionalFields:
                  description: Array of key-value pairs
                  type: object
                customers:
                  description: List of customers included on this booking request
                  type: array
                  items:
                    description: Details of customer
                    properties:
                      customerIndex:
                        description: Customer index
                        type: integer
                      customerTitle:
                        description: Customer's title (Mr, Mrs, etc)
                        type: string
                      customerFirstName:
                        description: Customer's first name
                        type: string
                      customerLastName:
                        description: Customer's last name
                        type: string
                      customerPhone:
                        description: Customer's phone
                        type: string
                      customerDateOfBirth:
                        description: Customer's date of birth, in YYYY-MM-DD format
                        type: string
                        format: date
                      customerEmail:
                        description: Customer's email
                        type: string
                      customerCountry:
                        description: Customer's country
                        type: string
                      customerPostcode:
                        description: Customer's postcode
                        type: string
                      voucherComment:
                        description: >-
                          Additional comments made by the agent about this
                          booking. Can be different per customer
                        type: string
                      additionalFields:
                        description: >-
                          Additional information. Can be different per customer.
                          Array of key-value pairs
                        type: object
                    type: object
                agency:
                  description: Details of agency that took the booking
                  type: array
                  items:
                    description: Details of agency
                    properties:
                      branch:
                        description: Name of branch which took the booking
                        type: string
                      agent:
                        description: Name of agent who took the booking
                        type: string
                      phone:
                        description: Phone number for branch which took the booking
                        type: string
                      branchCode:
                        description: Branch Code of Agent
                        type: string
                    type: object
                rrp:
                  description: The recommended retail price for the product on this booking
                  type: number
                  format: float
                net:
                  description: Your net rate for the product on the booking
                  type: number
                  format: float
              type: object
      responses:
        '200':
          description: Returned when successful.
          content:
            application/json:
              schema:
                properties:
                  success:
                    description: Whether or not the booking was made successfully.
                    type: boolean
                  bookingReferenceId:
                    description: The booking reference from the external booking system.
                    type: string
                  bookingNotes:
                    description: The booking notes from the external booking system.
                    type: string
                  errorMessage:
                    description: A reason for the unsuccessful booking request.
                    type: string
                type: object
        default:
          description: >-
            Not 200, will all be treated as a failure. Use an appropriate code
            and detailed error message.<br/><strong>Note:</strong> Response
            payload also includes a 'success' boolean and optional error
            message. You can still return 200 but also indicate failure.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.